The Laravel Cloud API and CLI are here. Build pipelines, manage environments, and hand off to AI agents. View the docs →
curl --request POST \
--url https://cloud.laravel.com/api/databases/clusters \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "laravel_mysql_84",
"name": "<string>",
"region": "us-east-2",
"config": {
"cu_min": 0.25,
"cu_max": 0.25,
"suspend_seconds": 123,
"retention_days": 123
},
"cluster_id": 123
}
'{
"data": {
"id": "<string>",
"type": "databases",
"attributes": {
"name": "<string>",
"type": "laravel_mysql_84",
"status": "creating",
"region": "us-east-2",
"created_at": "2023-11-07T05:31:56Z",
"config": {
"cu_min": 0.25,
"cu_max": 0.25,
"suspend_seconds": 123,
"retention_days": 123
},
"connection": {
"hostname": "<string>",
"port": 3306,
"protocol": "mysql",
"driver": "mysql",
"username": "<string>",
"password": "<string>"
}
},
"relationships": {
"schemas": {
"data": [
{
"type": "databaseSchemas",
"id": "<string>"
}
]
},
"databases": {
"data": [
{
"type": "databaseSchemas",
"id": "<string>"
}
]
}
}
},
"included": [
{
"id": "<string>",
"type": "databaseSchemas",
"attributes": {
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z"
},
"relationships": {
"database": {
"data": {
"type": "databases",
"id": "<string>"
}
},
"environments": {
"data": [
{
"type": "environments",
"id": "<string>"
}
]
}
}
}
]
}Create a new database cluster. A default database will also be created and returned on the databases relationship. schemas is deprecated.
curl --request POST \
--url https://cloud.laravel.com/api/databases/clusters \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "laravel_mysql_84",
"name": "<string>",
"region": "us-east-2",
"config": {
"cu_min": 0.25,
"cu_max": 0.25,
"suspend_seconds": 123,
"retention_days": 123
},
"cluster_id": 123
}
'{
"data": {
"id": "<string>",
"type": "databases",
"attributes": {
"name": "<string>",
"type": "laravel_mysql_84",
"status": "creating",
"region": "us-east-2",
"created_at": "2023-11-07T05:31:56Z",
"config": {
"cu_min": 0.25,
"cu_max": 0.25,
"suspend_seconds": 123,
"retention_days": 123
},
"connection": {
"hostname": "<string>",
"port": 3306,
"protocol": "mysql",
"driver": "mysql",
"username": "<string>",
"password": "<string>"
}
},
"relationships": {
"schemas": {
"data": [
{
"type": "databaseSchemas",
"id": "<string>"
}
]
},
"databases": {
"data": [
{
"type": "databaseSchemas",
"id": "<string>"
}
]
}
}
},
"included": [
{
"id": "<string>",
"type": "databaseSchemas",
"attributes": {
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z"
},
"relationships": {
"database": {
"data": {
"type": "databases",
"id": "<string>"
}
},
"environments": {
"data": [
{
"type": "environments",
"id": "<string>"
}
]
}
}
}
]
}Documentation Index
Fetch the complete documentation index at: https://cloud.laravel.com/docs/llms.txt
Use this file to discover all available pages before exploring further.
The Bearer Token generated on the Cloud UI.
laravel_mysql_84, laravel_mysql_8, aws_rds_mysql_8, aws_rds_postgres_18, neon_serverless_postgres_18, neon_serverless_postgres_17, neon_serverless_postgres_16 3 - 40^[a-z0-9_-]+$us-east-2, us-east-1, ca-central-1, eu-central-1, eu-west-1, eu-west-2, me-central-1, ap-southeast-1, ap-southeast-2, ap-northeast-1 Configuration object. Fields vary based on database type.
Show child attributes
Was this page helpful?